## cryptgps 0.2.1

=== Makefile ===
# make all: 		make bytecode archive
# make opt: 		make native archive
# make install: 	install bytecode archive, and if present, native archive
# make uninstall: 	uninstall package
# make clean: 		remove intermediate files
# make distclean: 	remove any superflous files
# make release: 	cleanup, create archive, tag CVS module 
#			(for developers)

#----------------------------------------------------------------------
# specific rules for this package:

OBJECTS  = crypt_aux.cmo \
           cryptsystem_64.cmo cryptmodes_64.cmo \
	   crypt_blowfish.cmo crypt_des.cmo crypt_3des.cmo \
           crypt_blowfish32.cmo 
XOBJECTS = crypt_aux.cmx \
           cryptsystem_64.cmx cryptmodes_64.cmx \
	   crypt_blowfish.cmx crypt_des.cmx crypt_3des.cmx \
           crypt_blowfish32.cmx 
ARCHIVE  = cryptgps.cma
XARCHIVE = cryptgps.cmxa
NAME     = cryptgps
REQUIRES = 

all: $(ARCHIVE)

opt: $(XARCHIVE)

$(ARCHIVE): $(OBJECTS)
	$(OCAMLC) -a -o $(ARCHIVE) $(OBJECTS)

$(XARCHIVE): $(XOBJECTS)
	$(OCAMLOPT) -a -o $(XARCHIVE) $(XOBJECTS)

#----------------------------------------------------------------------
# general rules:

OPTIONS   =
OCAMLC    = ocamlc -g $(OPTIONS) $(ROPTIONS)
OCAMLOPT  = ocamlopt $(OPTIONS) $(ROPTIONS)
OCAMLDEP  = ocamldep $(OPTIONS)
OCAMLFIND = ocamlfind

depend: *.ml *.mli
	$(OCAMLDEP) *.ml *.mli >depend

depend.pkg: Makefile
	$(OCAMLFIND) use -p ROPTIONS= $(REQUIRES) >depend.pkg

.PHONY: install
install: all
	{ test ! -f $(XARCHIVE) || extra="*.cmxa *.a"; }; \
	$(OCAMLFIND) install $(NAME) *.mli *.cmi *.cma META $$extra

.PHONY: uninstall
uninstall:
	$(OCAMLFIND) remove $(NAME)

.PHONY: clean
clean:
	rm -f *.cmi *.cmo *.cma *.cmx *.o *.a *.cmxa

.PHONY: distclean
distclean: clean
	rm -f *~ depend depend.pkg
	(cd cmp_cryptgps; rm -f *~)
	$(MAKE) -C cmp_ssleay distclean
	$(MAKE) -C test distclean


RELEASE: META
	awk '/version/ { print substr($$3,2,length($$3)-2) }' META >RELEASE

.PHONY: dist
dist: RELEASE
	r=`head -1 RELEASE`; cd ..; gtar czf $(NAME)-$$r.tar.gz --exclude='*/CVS*' --exclude="*/depend.pkg" --exclude="*/depend" $(NAME)

.PHONY: tag-release
tag-release: RELEASE
	r=`head -1 RELEASE | sed -e s/\\\./-/g`; cd ..; cvs tag -F $(NAME)-$$r $(NAME)

.PHONY: release
release: distclean
	$(MAKE) tag-release
	$(MAKE) dist

.ml.cmx:
	$(OCAMLOPT) -inline 10000 -unsafe -c $<

.ml.cmo:
	$(OCAMLC) -c $<

.mli.cmi:
	$(OCAMLC) -c $<

.SUFFIXES: .cmo .cmi .cmx .ml .mli

include depend
include depend.pkg

=== cmp_cryptgps/Makefile ===
top:
	ocamlfind ocamlmktop -o top -package bigarray -custom -linkpkg

=== cmp_ssleay/Makefile ===
SSLEAY_INCL = /usr/ssl/include
SSLEAY_LIB = /usr/ssl/lib
CC = gcc -I$(SSLEAY_INCL) -L$(SSLEAY_LIB)

all: blowfish des 3des

blowfish: blowfish.c
	$(CC) -o blowfish blowfish.c -lcrypto
des: des.c
	$(CC) -o des des.c -lcrypto
3des: 3des.c
	$(CC) -o 3des 3des.c -lcrypto

clean:
	rm -f blowfish des 3des
distclean: clean
	rm -f *~

=== test/Makefile ===
SSLEAY_INCL = /usr/ssl/include
SSLEAY_LIB = /usr/ssl/lib
CC = gcc -I$(SSLEAY_INCL) -L$(SSLEAY_LIB)

all: speed_blowfish_byte speed_blowfish_native speed_blowfish_c \
     speed_des_byte      speed_des_native      speed_des_c

speed_blowfish_byte: speed_blowfish.ml ../cryptgps.cma
	ocamlc -o speed_blowfish_byte -I .. bigarray.cma ../cryptgps.cma  speed_blowfish.ml

speed_blowfish_native: speed_blowfish.ml ../cryptgps.cmxa
	ocamlopt -o speed_blowfish_native -I .. bigarray.cmxa ../cryptgps.cmxa  speed_blowfish.ml

speed_blowfish_c: speed_blowfish.c
	$(CC) -o speed_blowfish_c speed_blowfish.c -lcrypto

speed_des_byte: speed_des.ml ../cryptgps.cma
	ocamlc -o speed_des_byte -I .. ../cryptgps.cma  speed_des.ml

speed_des_native: speed_des.ml ../cryptgps.cmxa
	ocamlopt -p -o speed_des_native -I .. ../cryptgps.cmxa  speed_des.ml

speed_des_c: speed_des.c
	$(CC) -o speed_des_c speed_des.c -lcrypto

clean:
	rm -f *.cmi *.cmo *.cmx *.o 
	rm -f speed_blowfish_c speed_blowfish_byte speed_blowfish_native
	rm -f speed_des_c speed_des_byte speed_des_native
	rm -f gmon.out
distclean: clean
	rm -f *~

=== debian/changelog ===
cryptgps (0.2.1-11) unstable; urgency=medium

  * Compile with -safe-string

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 15:16:56 +0200

cryptgps (0.2.1-10) unstable; urgency=medium

  * Bump debhelper compat level to 12 and switch to dh
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Switch debian/copyright to format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 13:11:29 +0200

cryptgps (0.2.1-9) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:09:43 +0100

cryptgps (0.2.1-8) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Stéphane Glondu ]
  * Compile with OCaml >= 4
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 21:26:41 +0200

cryptgps (0.2.1-7) unstable; urgency=low

  * debian/control:
    - add myself to Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3
    - update for dh-ocaml 0.9, and add versioned build-dependency

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Oct 2009 01:34:54 +0200

cryptgps (0.2.1-6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * upload to unstable
  * debian/control:
    - update build-deps: remove obsolete ones, add more strict ones to
      ensure buildability in unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet

  [ Mehdi Dogguy ]
  * Fix watch file.

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 Feb 2009 19:22:21 +0100

cryptgps (0.2.1-5) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * debian/control:
    - bump Standards-Version to 3.8.0 (no changes needed)
    - add build-dep on dh-ocaml, which ships the CDBS class
  * rebuild against OCaml 3.11 (strengthen dep, for experimental build)
  * switch to debhelper 7 (bump deps and debian/compat accordingly)
  * debian/patches:
    - disable patch no_debugging_info.dpatch, we do want -g

  [ Stephane Glondu ]
  * update Homepage, fix watch file
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Feb 2009 19:08:38 +0100

cryptgps (0.2.1-4) unstable; urgency=low

  * promote Homepage to a real debian/control field
  * update standards-version, no changes needed
  * setting me as an uploader, d-o-m as the maintainer
  * move to debian/expand_stars.sh the ocamldoc filter to expand upstream
    comments to ocamldoc(-like) comments, to avoid make quotation issues

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 28 Dec 2007 20:16:34 +0100

cryptgps (0.2.1-3) unstable; urgency=low

  * debian/control
    - bump ocaml-nox build dep to -8, to ensure the (not so) fixed CDBS class
      is used for ocamldoc generation
  * debian/rules
    - enable generation of ocamldoc documentation (via CDBS)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Sep 2007 23:03:32 +0200

cryptgps (0.2.1-2) experimental; urgency=low

  * rebuild with ocaml 3.10
  * debian/rules
    - override findlib "destdir" setting via the environment variable
      OCAMLFIND_DESTDIR instead of makefile patching, hence ...
  * debian/patches
    - ... removed now useless destdir patch

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 13 Jul 2007 09:53:46 +0200

cryptgps (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #405315).

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  2 Jan 2007 15:17:34 +0100

=== debian/control ===
Source: cryptgps
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 12),
 ocaml-nox (>= 4),
 ocaml-findlib (>= 1.4),
 dh-ocaml (>= 0.9)
Standards-Version: 4.4.0
Homepage: http://projects.camlcity.org/projects/cryptgps.html
Vcs-Git: https://salsa.debian.org/ocaml-team/cryptgps.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/cryptgps

Package: libcryptgps-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml implementation of symmetric cryptographic algorithms: Blowfish, DES, 3DES
 This OCaml library implements some well-known symmetric cryptographic
 algorithms, namely: Blowfish, DES, 3DES.
 .
 This package contains all the development stuff needed to use cryptgps in
 OCaml programs.

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://download.camlcity.org/download/ cryptgps-(.*)\.tar\.gz
